List payments for a payment link
curl --request GET \
--url https://thirdparty.qonto.com/v2/payment_links/{id}/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/payment_links/{id}/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/payment_links/{id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": {
"value": "13.30",
"currency": "EUR"
},
"status": "open",
"created_at": "2021-01-01T00:00:00Z",
"payment_method": "credit_card",
"paid_at": "2021-01-01T00:00:00Z",
"debitor_email": "john.doe@example.com"
}
],
"meta": {
"current_page": 2,
"next_page": 3,
"prev_page": 1,
"total_pages": 11,
"total_count": 210,
"per_page": 20
}
}Payment Links
List payments for a payment link
OAuth scope: payment_link.read
Allows you to get the payments for a payment link.
GET
/
v2
/
payment_links
/
{id}
/
payments
List payments for a payment link
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
Payment link ID
Query Parameters
Page number for pagination. Must be greater than 0.
Required range:
x >= 1Number of records per page. Must be between 1 and 100.
Required range:
1 <= x <= 100Filter payments by status.
Available options:
open, pending, authorized, paid, canceled, expired, failed Example:
"?status[]=open&status[]=pending"
Sort payments by a field.
Available options:
creation_date:asc, creation_date:desc Example:
"?sort_by=creation_date:asc"
Was this page helpful?